/*============================================================================

 Hello World --  Example

	Author:		Dusty Nidey, Axiom Mfg.
	Tools:   	Diab Data Compiler

============================================================================*/

#include "diab.h"
#include "serial.h"

void delay();

main(){
	char choice;

	delay();	// delay in case hardware needs time

	InitCom(0);	// initialize SCI1 serial port 1
	InitCom(1);	// initialize SCI2 serial port 2
	ioport = 0;	// default to 0 for now, don't detect.

	delay();	// delay in case hardware needs time
	for(; ;){
		puts("\n Hello World!");
		choice = tolower(GetSByte());
	}
}

void delay(){
	unsigned long delaycount;

	delaycount=0;
	do{
		delaycount++;
	}while(delaycount < 1000);
}

//---------------------------------------------------------------------------
// INITIALIZE HARDWARE REGISTERS
// This routine is called once following RESET
void inithw(){
	unsigned long *Rptr;
	unsigned short *sRptr;

	put32(0x2fc000,0x420800);	// SIUMCR make irq's general purpose i/o
	put32(0x2fc004,0x00FF88);	// SYPCR

	put32(0x2fc100,0x400003);	// BR0 32-bit set here for BDM or external flash
	put32(0x2fc104,0xfff80022);	// OR0 2 wait states
//	put32(0x2fc104,0xfff80012);	// OR0 1 wait state
//	put32(0x2fc104,0xfff800f2);	// OR0 15 wait states

	put32(0x2fc108,0x800003);	// BR1
	put32(0x2fc10c,0xfff80002);	// OR1
	put32(0x2fc110,0xc00003);	// BR2
	put32(0x2fc114,0xfffe0022);	// OR2
	put32(0x2fc118,0x01000403);	// BR3 Keypad/LCD
	put32(0x2fc11c,0xfffe0FF1);	// OR3 maximum wait states
	put32(0x2fc140,0x00000000);	// DMBR
	put32(0x2fc144,0x00000000);	// DMOR
	put32(0x2fc280,0x10000);	// SCCR
	put32(0x2fc284,0x400000);	// PLPRCR 20mhz
//	put32(0x2fc284,0x900000);	// PLPRCR 40mhz

	put16(0x300000,0x00);	// DPT
	put16(0x300004,0xffa0);	// RAM base addr
	put16(0x305014,0x00);	// PORTQS
	put16(0x305016,0x00);	// PQSPAR/DDRQS
	put16(0x306100,0x00);	// MPIOSMDR
	put16(0x306102,0x00);	// MPIOSMDDR
	put16(0x306800,0x00);	// MPIOS1TPCR
	put16(0x380000,0x00);	// SRAMMCR

	put32(0x2fc024,0x00);	// SGPIODT1
	put32(0x2fc028,0x00);	// SGPIODT2
	put32(0x2fc02c,0x00);	// SGPIOCR
	put32(0x2fc030,0x00);	// EMCR
	put32(0x307f80,0x00);	// UMCR
}
